#!/usr/bin/env python3

# The following ugly variables were automatically build.

LANGS = ['af_ZA', 'be_BY', 'bg_BG', 'ca_ES', 'cs_CZ', 'da_DK', 'de_AT', 'de_CH', 'de_DE', 'el_GR', 'en_AU', 'en_CA', 'en_GB', 'en_IE', 'en_NZ', 'en_US', 'es_ES', 'et_EE', 'eu_ES', 'fi_FI', 'fr_BE', 'fr_CA', 'fr_CH', 'fr_FR', 'he_IL', 'hr_HR', 'hu_HU', 'is_IS', 'it_CH', 'it_IT', 'ja_JP', 'ko_KR', 'lt_LT', 'nl_BE', 'nl_NL', 'no_NO', 'pl_PL', 'pt_BR', 'pt_PT', 'ro_RO', 'ru_RU', 'sk_SK', 'sl_SI', 'sv_SE', 'tr_TR', 'uk_UA', 'zh_CN', 'zh_HK', 'zh_TW']

_POINTERS = [['Lundi', 'Mardi', 'Mercredi', 'Jeudi', 'Vendredi', 'Samedi', 'Dimanche'], ['esmaspäev', 'teisipäev', 'kolmapäev', 'neljapäev', 'reede', 'laupäev', 'pühapäev'], ['Pazartesi', 'Salı', 'Çarşamba', 'Perşembe', 'Cuma', 'Cumartesi', 'Pazar'], ['Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday', 'Sunday'], ['lunes', 'martes', 'miércoles', 'jueves', 'viernes', 'sábado', 'domingo'], ['ponedeljek', 'torek', 'sreda', 'četrtek', 'petek', 'sobota', 'nedelja'], ['Mandag', 'Tirsdag', 'Onsdag', 'Torsdag', 'Fredag', 'Lørdag', 'Søndag'], ['星期一', '星期二', '星期三', '星期四', '星期五', '星期六', '星期日'], ['Montag', 'Dienstag', 'Mittwoch', 'Donnerstag', 'Freitag', 'Samstag', 'Sonntag'], ['pondelok', 'utorok', 'streda', 'štvrtok', 'piatok', 'sobota', 'nedeľa'], ['Δευτέρα', 'Τρίτη', 'Τετάρτη', 'Πέμπτη', 'Παρασκευή', 'Σάββατο', 'Κυριακή'], ['Segunda Feira', 'Terça Feira', 'Quarta Feira', 'Quinta Feira', 'Sexta Feira', 'Sábado', 'Domingo'], ['понеділок', 'вівторок', 'середа', 'четвер', "п'ятниця", 'субота', 'неділя'], ['maandag', 'dinsdag', 'woensdag', 'donderdag', 'vrijdag', 'zaterdag', 'zondag'], ['Pirmadienis', 'Antradienis', 'Trečiadienis', 'Ketvirtadienis', 'Penktadienis', 'Šeštadienis', 'Sekmadienis'], ['Понеделник', 'Вторник', 'Сряда', 'Четвъртък', 'Петък', 'Събота', 'Неделя'], ['월요일', '화요일', '수요일', '목요일', '금요일', '토요일', '일요일'], ['poniedziałek', 'wtorek', 'środa', 'czwartek', 'piątek', 'sobota', 'niedziela'], ['Ponedjeljak', 'Utorak', 'Srijeda', 'Četvrtak', 'Petak', 'Subota', 'Nedjelja'], ['月曜日', '火曜日', '水曜日', '木曜日', '金曜日', '土曜日', '日曜日'], ['Måndag', 'Tisdag', 'Onsdag', 'Torsdag', 'Fredag', 'Lördag', 'Söndag'], ['панядзелак', 'аўторак', 'серада', 'чацвер', 'пятніца', 'субота', 'нядзеля'], ['понедельник', 'вторник', 'среда', 'четверг', 'пятница', 'суббота', 'воскресенье'], ['周一', '周二', '周三', '周四', '周五', '周六', '周日'], ['Maanantai', 'Tiistai', 'Keskiviikko', 'Torstai', 'Perjantai', 'Lauantai', 'Sunnuntai'], ['שני', 'שלישי', 'רביעי', 'חמישי', 'שישי', 'שבת', 'ראשון'], ['Lunedì', 'Martedì', 'Mercoledì', 'Giovedì', 'Venerdì', 'Sabato', 'Domenica'], ['dilluns', 'dimarts', 'dimecres', 'dijous', 'divendres', 'dissabte', 'diumenge'], ['mandag', 'tirsdag', 'onsdag', 'torsdag', 'fredag', 'lørdag', 'søndag'], ['astelehena', 'asteartea', 'asteazkena', 'osteguna', 'ostirala', 'larunbata', 'igandea'], ['pondělí', 'úterý', 'středa', 'čtvrtek', 'pátek', 'sobota', 'neděle'], ['Luni', 'Marţi', 'Miercuri', 'Joi', 'Vineri', 'Sâmbătă', 'Duminică'], ['Hétfő', 'Kedd', 'Szerda', 'Csütörtök', 'Péntek', 'Szombat', 'Vasárnap'], ['mánudagur', 'þriðjudagur', 'miðvikudagur', 'fimmtudagur', 'föstudagur', 'laugardagur', 'sunnudagur'], ['Lun', 'Mar', 'Mer', 'Jeu', 'Ven', 'Sam', 'Dim'], ['E', 'T', 'K', 'N', 'R', 'L', 'P'], ['Pts', 'Sal', 'Çar', 'Per', 'Cum', 'Cts', 'Paz'], ['Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat', 'Sun'], ['lun', 'mar', 'mié', 'jue', 'vie', 'sáb', 'dom'], ['pon', 'tor', 'sre', 'čet', 'pet', 'sob', 'ned'], ['Man', 'Tir', 'Ons', 'Tor', 'Fre', 'Lør', 'Søn'], ['一', '二', '三', '四', '五', '六', '日'], ['Mo', 'Di', 'Mi', 'Do', 'Fr', 'Sa', 'So'], ['po', 'ut', 'st', 'št', 'pi', 'so', 'ne'], ['Δευ', 'Τρι', 'Τετ', 'Πεμ', 'Παρ', 'Σαβ', 'Κυρ'], ['Seg', 'Ter', 'Qua', 'Qui', 'Sex', 'Sáb', 'Dom'], ['пн', 'вт', 'ср', 'чт', 'пт', 'сб', 'нд'], ['ma', 'di', 'wo', 'do', 'vr', 'za', 'zo'], ['Pr', 'An', 'Tr', 'Kt', 'Pn', 'Št', 'Sk'], ['Пн', 'Вт', 'Ср', 'Чт', 'Пт', 'Сб', 'Нд'], ['월', '화', '수', '목', '금', '토', '일'], ['pon', 'wto', 'śro', 'czw', 'ptk', 'sob', 'ndz'], ['Po', 'Ut', 'Sr', 'Če', 'Pe', 'Su', 'Ne'], ['月', '火', '水', '木', '金', '土', '日'], ['Mån', 'Tis', 'Ons', 'Tor', 'Fre', 'Lör', 'Sön'], ['пн', 'аў', 'ср', 'чц', 'пт', 'сб', 'нд'], ['пн', 'вт', 'ср', 'чт', 'пт', 'сб', 'вс'], ['Ma', 'Ti', 'Ke', 'To', 'Pe', 'La', 'Su'], ["ב'", "ג'", "ד'", "ה'", "ו'", "ש'", "א'"], ['Lun', 'Mar', 'Mer', 'Gio', 'Ven', 'Sab', 'Dom'], ['dil', 'dim', 'dmc', 'dij', 'div', 'dis', 'diu'], ['man', 'tir', 'ons', 'tor', 'fre', 'lør', 'søn'], ['al.', 'as.', 'az.', 'og.', 'or.', 'lr.', 'ig.'], ['po', 'út', 'st', 'čt', 'pá', 'so', 'ne'], ['Lun', 'Mar', 'Mie', 'Joi', 'Vin', 'Sâm', 'Dum'], ['Hét', 'Ked', 'Sze', 'Csü', 'Pén', 'Szo', 'Vas'], ['mán', 'þri', 'mið', 'fim', 'fös', 'lau', 'sun'], ['jan', 'fév', 'mar', 'avr', 'mai', 'jui', 'jul', 'aoû', 'sep', 'oct', 'nov', 'déc'], ['jaan', 'veebr', 'märts', 'apr', 'mai', 'juuni', 'juuli', 'aug', 'sept', 'okt', 'nov', 'dets'], ['Oca', 'Şub', 'Mar', 'Nis', 'May', 'Haz', 'Tem', 'Ağu', 'Eyl', 'Eki', 'Kas', 'Ara'], ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'], ['ene', 'feb', 'mar', 'abr', 'may', 'jun', 'jul', 'ago', 'sep', 'oct', 'nov', 'dic'], ['jan', 'feb', 'mar', 'apr', 'maj', 'jun', 'jul', 'avg', 'sep', 'okt', 'nov', 'dec'], ['Jan', 'Feb', 'Mar', 'Apr', 'Maj', 'Jun', 'Jul', 'Aug', 'Sep', 'Okt', 'Nov', 'Dec'], ['1', '2', '3', '4', '5', '6', '7', '8', '9', '10', '11', '12'], ['Jan', 'Feb', 'Mär', 'Apr', 'Mai', 'Jun', 'Jul', 'Aug', 'Sep', 'Okt', 'Nov', 'Dez'], ['jan', 'feb', 'mar', 'apr', 'máj', 'jún', 'júl', 'aug', 'sep', 'okt', 'nov', 'dec'], ['Ιαν', 'Φεβ', 'Μαρ', 'Απρ', 'Μαϊ', 'Ιον', 'Ιολ', 'Αυγ', 'Σεπ', 'Οκτ', 'Νοε', 'Δεκ'], ['Jan', 'Fev', 'Mar', 'Abr', 'Mai', 'Jun', 'Jul', 'Ago', 'Set', 'Out', 'Nov', 'Dez'], ['січ', 'лют', 'бер', 'кві', 'тра', 'чер', 'лип', 'сер', 'вер', 'жов', 'лис', 'гру'], ['jan', 'feb', 'mrt', 'apr', 'mei', 'jun', 'jul', 'aug', 'sep', 'okt', 'nov', 'dec'], ['Sau', 'Vas', 'Kov', 'Bal', 'Geg', 'Bir', 'Lie', 'Rgp', 'Rgs', 'Spa', 'Lap', 'Grd'], ['Яну', 'Фев', 'Мар', 'Апр', 'Май', 'Юни', 'Юли', 'Авг', 'Сеп', 'Окт', 'Нов', 'Дек'], ['sty', 'lut', 'mar', 'kwi', 'maj', 'cze', 'lip', 'sie', 'wrz', 'paź', 'lis', 'gru'], ['Sij', 'Vel', 'Ožu', 'Tra', 'Svi', 'Lip', 'Srp', 'Kol', 'Ruj', 'Lis', 'Stu', 'Pro'], ['сту', 'лют', 'сак', 'кра', 'тра', 'чэр', 'ліп', 'жні', 'вер', 'кас', 'ліс', 'сне'], ['янв', 'фев', 'мар', 'апр', 'май', 'июн', 'июл', 'авг', 'сен', 'окт', 'ноя', 'дек'], ['Tam', 'Hel', 'Maa', 'Huh', 'Tou', 'Kes', 'Hei', 'Elo', 'Syy', 'Lok', 'Mar', 'Jou'], ['ינו', 'פבר', 'מרץ', 'אפר', 'מאי', 'יונ', 'יול', 'אוג', 'ספט', 'אוק', 'נוב', 'דצמ'], ['Gen', 'Feb', 'Mar', 'Apr', 'Mag', 'Giu', 'Lug', 'Ago', 'Set', 'Ott', 'Nov', 'Dic'], ['gen', 'feb', 'mar', 'abr', 'mai', 'jun', 'jul', 'ago', 'set', 'oct', 'nov', 'des'], ['jan', 'feb', 'mar', 'apr', 'mai', 'jun', 'jul', 'aug', 'sep', 'okt', 'nov', 'des'], ['Urt', 'Ots', 'Mar', 'Apr', 'Mai', 'Eka', 'Uzt', 'Abu', 'Ira', 'Urr', 'Aza', 'Abe'], ['led', 'úno', 'bře', 'dub', 'kvě', 'črv', 'čvc', 'srp', 'zář', 'říj', 'lis', 'pro'], ['Ian', 'Feb', 'Mar', 'Apr', 'Mai', 'Iun', 'Iul', 'Aug', 'Sep', 'Oct', 'Noi', 'Dec'], ['Jan', 'Feb', 'Már', 'Ápr', 'Máj', 'Jún', 'Júl', 'Aug', 'Sze', 'Okt', 'Nov', 'Dec'], ['jan', 'feb', 'mar', 'apr', 'maí', 'jún', 'júl', 'ágú', 'sep', 'okt', 'nóv', 'des'], ['janvier', 'février', 'mars', 'avril', 'mai', 'juin', 'juillet', 'août', 'septembre', 'octobre', 'novembre', 'décembre'], ['jaanuar', 'veebruar', 'märts', 'aprill', 'mai', 'juuni', 'juuli', 'august', 'september', 'oktoober', 'november', 'detsember'], ['Ocak', 'Şubat', 'Mart', 'Nisan', 'Mayıs', 'Haziran', 'Temmuz', 'Ağustos', 'Eylül', 'Ekim', 'Kasım', 'Aralık'], ['January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December'], ['enero', 'febrero', 'marzo', 'abril', 'mayo', 'junio', 'julio', 'agosto', 'septiembre', 'octubre', 'noviembre', 'diciembre'], ['januar', 'februar', 'marec', 'april', 'maj', 'junij', 'julij', 'avgust', 'september', 'oktober', 'november', 'december'], ['Januar', 'Februar', 'Marts', 'April', 'Maj', 'Juni', 'Juli', 'August', 'September', 'Oktober', 'November', 'December'], ['一月', '二月', '三月', '四月', '五月', '六月', '七月', '八月', '九月', '十月', '十一月', '十二月'], ['Januar', 'Februar', 'März', 'April', 'Mai', 'Juni', 'Juli', 'August', 'September', 'Oktober', 'November', 'Dezember'], ['január', 'február', 'marec', 'apríl', 'máj', 'jún', 'júl', 'august', 'september', 'október', 'november', 'december'], ['Ιανουαρίου', 'Φεβρουαρίου', 'Μαρτίου', 'Απριλίου', 'Μαΐου', 'Ιουνίου', 'Ιουλίου', 'Αυγούστου', 'Σεπτεμβρίου', 'Οκτωβρίου', 'Νοεμβρίου', 'Δεκεμβρίου'], ['Janeiro', 'Fevereiro', 'Março', 'Abril', 'Maio', 'Junho', 'Julho', 'Agosto', 'Setembro', 'Outubro', 'Novembro', 'Dezembro'], ['січня', 'лютого', 'березня', 'квітня', 'травня', 'червня', 'липня', 'серпня', 'вересня', 'жовтня', 'листопада', 'грудня'], ['januari', 'februari', 'maart', 'april', 'mei', 'juni', 'juli', 'augustus', 'september', 'oktober', 'november', 'december'], ['sausio', 'vasario', 'kovo', 'balandžio', 'gegužės', 'birželio', 'liepos', 'rugpjūčio', 'rugsėjo', 'spalio', 'lapkričio', 'gruodžio'], ['Януари', 'Февруари', 'Март', 'Април', 'Май', 'Юни', 'Юли', 'Август', 'Септември', 'Октомври', 'Ноември', 'Декември'], ['1월', '2월', '3월', '4월', '5월', '6월', '7월', '8월', '9월', '10월', '11월', '12월'], ['stycznia', 'lutego', 'marca', 'kwietnia', 'maja', 'czerwca', 'lipca', 'sierpnia', 'września', 'października', 'listopada', 'grudnia'], ['Siječanj', 'Veljača', 'Ožujak', 'Travanj', 'Svibanj', 'Lipanj', 'Srpanj', 'Kolovoz', 'Rujan', 'Listopad', 'Studeni', 'Prosinac'], ['1月', '2月', '3月', '4月', '5月', '6月', '7月', '8月', '9月', '10月', '11月', '12月'], ['Jänner', 'Februar', 'März', 'April', 'Mai', 'Juni', 'Juli', 'August', 'September', 'Oktober', 'November', 'Dezember'], ['Januari', 'Februari', 'Mars', 'April', 'Maj', 'Juni', 'Juli', 'Augusti', 'September', 'Oktober', 'November', 'December'], ['студзеня', 'лютага', 'сакавіка', 'красавіка', 'траўня', 'чэрвеня', 'ліпеня', 'жніўня', 'верасня', 'кастрычніка', 'лістапада', 'снежня'], ['января', 'февраля', 'марта', 'апреля', 'мая', 'июня', 'июля', 'августа', 'сентября', 'октября', 'ноября', 'декабря'], ['Tammikuu', 'Helmikuu', 'Maaliskuu', 'Huhtikuu', 'Toukokuu', 'Kesäkuu', 'Heinäkuu', 'Elokuu', 'Syyskuu', 'Lokakuu', 'Marraskuu', 'Joulukuu'], ['ינואר', 'פברואר', 'מרץ', 'אפריל', 'מאי', 'יוני', 'יולי', 'אוגוסט', 'ספטמבר', 'אוקטובר', 'נובמבר', 'דצמבר'], ['Gennaio', 'Febbraio', 'Marzo', 'Aprile', 'Maggio', 'Giugno', 'Luglio', 'Agosto', 'Settembre', 'Ottobre', 'Novembre', 'Dicembre'], ['gener', 'febrer', 'març', 'abril', 'maig', 'juny', 'juliol', 'agost', 'setembre', 'octubre', 'novembre', 'desembre'], ['januar', 'februar', 'mars', 'april', 'mai', 'juni', 'juli', 'august', 'september', 'oktober', 'november', 'desember'], ['urtarrila', 'otsaila', 'martxoa', 'apirila', 'maiatza', 'ekaina', 'uztaila', 'abuztua', 'iraila', 'urria', 'azaroa', 'abendua'], ['ledna', 'února', 'března', 'dubna', 'května', 'června', 'července', 'srpna', 'září', 'října', 'listopadu', 'prosince'], ['Ianuarie', 'Februarie', 'Martie', 'Aprilie', 'Mai', 'Iunie', 'Iulie', 'August', 'Septembrie', 'Octombrie', 'Noiembrie', 'Decembrie'], ['Január', 'Február', 'Március', 'Április', 'Május', 'Június', 'Július', 'Augusztus', 'Szeptember', 'Október', 'November', 'December'], ['janúar', 'febrúar', 'mars', 'apríl', 'maí', 'júní', 'júlí', 'ágúst', 'september', 'október', 'nóvember', 'desember']]

_FORMATS_TRANSLATIONS = {'%A': {'fr_CH': 0, 'et_EE': 1, 'tr_TR': 2, 'fr_FR': 0, 'en_AU': 3, 'es_ES': 4, 'sl_SI': 5, 'da_DK': 6, 'zh_CN': 7, 'de_CH': 8, 'en_NZ': 3, 'sk_SK': 9, 'el_GR': 10, 'pt_PT': 11, 'uk_UA': 12, 'pt_BR': 11, 'nl_NL': 13, 'lt_LT': 14, 'de_DE': 8, 'bg_BG': 15, 'ko_KR': 16, 'pl_PL': 17, 'hr_HR': 18, 'ja_JP': 19, 'en_IE': 3, 'en_US': 3, 'de_AT': 8, 'sv_SE': 20, 'be_BY': 21, 'ru_RU': 22, 'zh_HK': 23, 'fi_FI': 24, 'he_IL': 25, 'it_CH': 26, 'en_CA': 3, 'ca_ES': 27, 'no_NO': 28, 'fr_BE': 0, 'eu_ES': 29, 'nl_BE': 13, 'it_IT': 26, 'cs_CZ': 30, 'ro_RO': 31, 'af_ZA': 3, 'hu_HU': 32, 'fr_CA': 0, 'en_GB': 3, 'is_IS': 33, 'zh_TW': 23}, '%a': {'fr_CH': 34, 'et_EE': 35, 'tr_TR': 36, 'fr_FR': 34, 'en_AU': 37, 'es_ES': 38, 'sl_SI': 39, 'da_DK': 40, 'zh_CN': 41, 'de_CH': 42, 'en_NZ': 37, 'sk_SK': 43, 'el_GR': 44, 'pt_PT': 45, 'uk_UA': 46, 'pt_BR': 45, 'nl_NL': 47, 'lt_LT': 48, 'de_DE': 42, 'bg_BG': 49, 'ko_KR': 50, 'pl_PL': 51, 'hr_HR': 52, 'ja_JP': 53, 'en_IE': 37, 'en_US': 37, 'de_AT': 42, 'sv_SE': 54, 'be_BY': 55, 'ru_RU': 56, 'zh_HK': 41, 'fi_FI': 57, 'he_IL': 58, 'it_CH': 59, 'en_CA': 37, 'ca_ES': 60, 'no_NO': 61, 'fr_BE': 34, 'eu_ES': 62, 'nl_BE': 47, 'it_IT': 59, 'cs_CZ': 63, 'ro_RO': 64, 'af_ZA': 37, 'hu_HU': 65, 'fr_CA': 34, 'en_GB': 37, 'is_IS': 66, 'zh_TW': 41}, '%b': {'fr_CH': 67, 'et_EE': 68, 'tr_TR': 69, 'fr_FR': 67, 'en_AU': 70, 'es_ES': 71, 'sl_SI': 72, 'da_DK': 73, 'zh_CN': 74, 'de_CH': 75, 'en_NZ': 70, 'sk_SK': 76, 'el_GR': 77, 'pt_PT': 78, 'uk_UA': 79, 'pt_BR': 78, 'nl_NL': 80, 'lt_LT': 81, 'de_DE': 75, 'bg_BG': 82, 'ko_KR': 74, 'pl_PL': 83, 'hr_HR': 84, 'ja_JP': 74, 'en_IE': 70, 'en_US': 70, 'de_AT': 75, 'sv_SE': 73, 'be_BY': 85, 'ru_RU': 86, 'zh_HK': 74, 'fi_FI': 87, 'he_IL': 88, 'it_CH': 89, 'en_CA': 70, 'ca_ES': 90, 'no_NO': 91, 'fr_BE': 67, 'eu_ES': 92, 'nl_BE': 80, 'it_IT': 89, 'cs_CZ': 93, 'ro_RO': 94, 'af_ZA': 70, 'hu_HU': 95, 'fr_CA': 67, 'en_GB': 70, 'is_IS': 96, 'zh_TW': 74}, '%B': {'fr_CH': 97, 'et_EE': 98, 'tr_TR': 99, 'fr_FR': 97, 'en_AU': 100, 'es_ES': 101, 'sl_SI': 102, 'da_DK': 103, 'zh_CN': 104, 'de_CH': 105, 'en_NZ': 100, 'sk_SK': 106, 'el_GR': 107, 'pt_PT': 108, 'uk_UA': 109, 'pt_BR': 108, 'nl_NL': 110, 'lt_LT': 111, 'de_DE': 105, 'bg_BG': 112, 'ko_KR': 113, 'pl_PL': 114, 'hr_HR': 115, 'ja_JP': 116, 'en_IE': 100, 'en_US': 100, 'de_AT': 117, 'sv_SE': 118, 'be_BY': 119, 'ru_RU': 120, 'zh_HK': 116, 'fi_FI': 121, 'he_IL': 122, 'it_CH': 123, 'en_CA': 100, 'ca_ES': 124, 'no_NO': 125, 'fr_BE': 97, 'eu_ES': 126, 'nl_BE': 110, 'it_IT': 123, 'cs_CZ': 127, 'ro_RO': 128, 'af_ZA': 100, 'hu_HU': 129, 'fr_CA': 97, 'en_GB': 100, 'is_IS': 130, 'zh_TW': 116}}